    createCompositionWaterStart = function()
    
        local compositionrender_2_bga = CreateCompositionSequence();
        local compositionDuration = 20.6666666666667;
        compositionrender_2_bga:SetDuration(compositionDuration);

        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_65.png");
        element:SetName("Layer_1");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(62, 104);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(262, 475);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 124, 208)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(15, 20.7083333333333);
        effector:Play();

        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_69.png");
        element:SetName("Layer_2");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(116.5, 77);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(670, 691);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(42)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 233, 154)
			anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(16.4583333333333, 20.6583333333333);
        effector:Play();

        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_70.png");
        element:SetName("Layer_3");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(229, 73.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(613.5, 541.75);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(42)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 458, 147)
			anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(16.4583333333333, 20.6583333333333);
        effector:Play();

        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_68.png");
        element:SetName("Layer_4");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(66, 125.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(267.5, 619.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(42)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 132, 251)
			anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(16.4583333333333, 20.6583333333333);
        effector:Play();

        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_64.png");
        element:SetName("Layer_5");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(62, 104);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(262, 474);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(38)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 124, 208)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(13.25, 17.05);
        effector:Play();

        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_df.png");
        element:SetName("Layer_6");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(36.5, 76.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(239.75, 302.875);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 73, 153)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(8.08333333333333, 20.6833333333333);
        effector:Play();

        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_9.png");
        element:SetName("Layer_7");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(8.5, 67.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(210, 310.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(12)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 17, 135)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(7.16666666666667, 8.06666666666667);
        effector:Play();

        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_pr.png");
        element:SetName("Layer_8");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(13, 66.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(253.5, 310.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 26, 133)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(6.16666666666667, 7.06666666666667);
    
        effector:SetKey(_TRACK_O, 6.16666666666667, 0);
        effector:SetKey(_TRACK_O, 6.375, 1);
    
        effector:Play();

        -- Layer Layer_9
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_3et.png");
        element:SetName("Layer_9");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(25.5, 76.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(250.5, 303);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(12)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 51, 153)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(6.91666666666667, 8.08333333333333);
    
        effector:SetKey(_TRACK_O, 6.91666666666667, 0.27);
        effector:SetKey(_TRACK_O, 7.04166666666667, 1);
    
        effector:Play();

        -- Layer Layer_10
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_L.png");
        element:SetName("Layer_10");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(2, 66.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(210, 311);
    
        element:SetScaleX(-1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 4, 133)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(7, 7.54166666666667);
    
        effector:SetKey(_TRACK_O, 7.33333333333333, 1);
        effector:SetKey(_TRACK_O, 7.5, 0);
    
        effector:Play();
    
    
        -- Layer Layer_11
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_L.png");
        element:SetName("Layer_11");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(2, 66.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(210, 311);
    
        element:SetScaleX(-1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 4, 133)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.5, 7);
    
        effector:SetKey(_TRACK_O, 4.58333333333333, 0);
        effector:SetKey(_TRACK_O, 6.125, 1);
    
        effector:Play();

        -- Layer Layer_12
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_L.png");
        element:SetName("Layer_12");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(2, 66.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(264.5, 310.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 4, 133)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(4.5, 7);
    
        effector:SetKey(_TRACK_O, 4.58333333333333, 0);
        effector:SetKey(_TRACK_O, 6.125, 1);
    
        effector:Play();

        -- Layer Layer_13
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_62.png");
        element:SetName("Layer_13");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(10.5, 15.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(223.5, 238);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(3)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 21, 31)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.75, 20.75);
    
        effector:SetKey(_TRACK_O, 2.75, 0);
        effector:SetKey(_TRACK_O, 3.66666666666667, 1);
    
        effector:Play();
    
        -- Layer Layer_14
        local element = CreateCompositionElement("data/Texture/Scenes/35_temple_2_/animations/water/water_37.png");
        element:SetName("Layer_14");
        compositionrender_2_bga:AddElement(element);
        element:SetHotSpot(10.5, 15.5);
        element:SetParentElement(compositionrender_2_bga);
        element:SetXY(223, 237.5);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
        
            anim = element:GetTexture()
			anim:SetSpeed(15)
			anim:SetFrames(37)
			anim:SetFrame(0)
			anim:SetTextureRect(0, 0, 21, 31)
			anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
			anim:Play()
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 3.7);
        effector:Play();
    
        return compositionrender_2_bga;
    end
    
